## postbooks 4.1.0

=== share/dict/Makefile ===
SAXONPATH=${HOME}/src/saxon8

xTuple.base.qph:	xTuple.base.ts
	java -jar $(SAXONPATH)/saxon8.jar $< ts_to_qph.xsl > $@

=== debian/changelog ===
postbooks (4.1.0-3) unstable; urgency=low

  * Ensure libxtuplecommon-dev depends on shlib (Closes: #725645)

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 07 Oct 2013 08:48:35 +0200

postbooks (4.1.0-2) unstable; urgency=low

  * README.Debian: mention postbooks-updater

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 05 Oct 2013 14:16:10 +0200

postbooks (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Add menu entry (Closes: #724477)

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 05 Oct 2013 00:28:19 +0200

postbooks (4.0.2-7) unstable; urgency=low

  * Make libxtuplecommon shared

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 25 Sep 2013 08:16:36 +0200

postbooks (4.0.2-6) unstable; urgency=low

  * README.Debian: specify PostgreSQL version in examples

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 25 Sep 2013 08:13:34 +0200

postbooks (4.0.2-5) unstable; urgency=low

  * Check PostgreSQL version at runtime

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 24 Sep 2013 22:39:32 +0200

postbooks (4.0.2-4) unstable; urgency=low

  * README.Debian: add notes about PostgreSQL v9.3 incompatibility

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 23 Sep 2013 19:43:25 +0200

postbooks (4.0.2-3) unstable; urgency=low

  * Add build deps

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 22 Sep 2013 13:08:15 +0200

postbooks (4.0.2-2) unstable; urgency=low

  * More detail in README.source

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 22 Sep 2013 10:30:01 +0200

postbooks (4.0.2-1) unstable; urgency=low

  * New upstream tarball

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 19 Sep 2013 21:43:13 +0200

postbooks (4.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #703645)

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 19 Sep 2013 18:33:39 +0200

=== debian/control ===
Source: postbooks
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev, libcsvimp-dev, libqtassistantclient-dev, libqt4-webkit, libz-dev, libqtwebkit-dev, libsqlite3-dev
Standards-Version: 3.9.4
Homepage: http://www.xtuple.com/postbooks
Vcs-Git: git://git.debian.org/collab-maint/postbooks.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/postbooks.git;a=summary

Package: libxtuplecommon1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-user accounting / CRM / ERP suite (shared libraries)
 A full-featured, fully-integrated business management system, the core of
 the award winning xTuple ERP Suite. Built with the open source PostgreSQL
 database and the open source Qt framework for C++, it provides the
 ultimate in power and flexibility for a range of businesses and
 industries of any size.
 .
 This package contains shared libraries used by PostBooks and related code
 including the PostBooks Updater utility for managing the schema.

Package: libxtuplecommon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxtuplecommon1 (= ${binary:Version})
Description: multi-user accounting / CRM / ERP suite (development package)
 A full-featured, fully-integrated business management system, the core of
 the award winning xTuple ERP Suite. Built with the open source PostgreSQL
 database and the open source Qt framework for C++, it provides the
 ultimate in power and flexibility for a range of businesses and
 industries of any size.
 .
 This package contains development files needed to build related packages,
 including the PostBooks Updater utility for managing the schema.

Package: postbooks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-psql, qt-assistant-compat
Suggests: postbooks-schema-quickstart, postbooks-schema-empty, postbooks-schema-demo, postbooks-updater
Description: multi-user accounting / CRM / ERP suite (GUI)
 A full-featured, fully-integrated business management system, the core of
 the award winning xTuple ERP Suite. Built with the open source PostgreSQL
 database and the open source Qt framework for C++, it provides the
 ultimate in power and flexibility for a range of businesses and
 industries of any size.
 .
 This package contains the GUI.  Install it on any workstation that
 needs access to the PostBooks database.  There is no server component
 other than an instance of PostgreSQL itself.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=. --parallel

override_dh_clean:
	for pro in `find . -name '*.pro'` ; do \
		rm -f $$(dirname $$pro)/Makefile*; \
	done
	rm -rf */tmp bin/*
	dh_clean

override_dh_auto_test:

override_dh_auto_configure:
	# FIXME: find will not fail on error!
	find . -name '*.ts' -exec lrelease {} \;
	# convert to use shared libs
	find . -name '*.pro' -exec sed -i -e "s/lib\(common\)\.a/lib\1.so/"  {} \;
	find . -name '*.pro' -exec sed -i -e "s/lib\(MetaSQL\)\.a/lib\1.so/"  {} \;
	find . -name '*.pro' -exec sed -i -e "s/lib\(wrtembed\)\.a/lib\1.so/"  {} \;
	find . -name '*.pro' -exec sed -i -e "s/lib\(renderer\)\.a/lib\1.so/"  {} \;
	dh_auto_configure
	make clean

override_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/lib*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_install

.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_test

## postbooks 4.7.0

=== debian/changelog ===
postbooks (4.7.0-3) unstable; urgency=medium

  * Remove build dependency on libqt4-webkit (Closes: #787747)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 04 Jun 2015 19:45:22 +0200

postbooks (4.7.0-2) unstable; urgency=medium

  * Remove some explicit references to PostgreSQL 9.1.

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 19 Oct 2014 16:11:44 +0200

postbooks (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 17:15:16 +0200

postbooks (4.6.0-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 23 Sep 2014 10:39:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev, libcsvimp-dev, libqtassistantclient-dev, libqt4-webkit, libz-dev, libqtwebkit-dev, libsqlite3-dev
-Standards-Version: 3.9.4
+Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.7), libcsvimp-dev (>= 0.5.0), libqtassistantclient-dev, libz-dev, libqtwebkit-dev, libsqlite3-dev
+Standards-Version: 3.9.6
 Homepage: http://www.xtuple.com/postbooks
-Vcs-Git: git://git.debian.org/collab-maint/postbooks.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/postbooks.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks.git
 
 Package: libxtuplecommon1
 Section: libs

## postbooks 4.9.2

=== debian/changelog ===
postbooks (4.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 02 Oct 2015 22:54:42 +0200

postbooks (4.9.1-3) unstable; urgency=medium

  * Update VCS fields to continue using alioth.

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 07 Sep 2015 10:40:30 +0200

postbooks (4.9.1-2) unstable; urgency=medium

  * Add missing patches directory.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 03 Sep 2015 15:33:04 +0200

postbooks (4.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 03 Sep 2015 14:49:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.7), libcsvimp-dev (>= 0.5.0), libqtassistantclient-dev, libz-dev, libqtwebkit-dev, libsqlite3-dev
+Uploaders:
+ Andrew Shadura <andrewsh@debian.org>,
+ Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.10), libcsvimp-dev (>= 0.5.1), libqtassistantclient-dev, libz-dev, libqtwebkit-dev, libsqlite3-dev
 Standards-Version: 3.9.6
 Homepage: http://www.xtuple.com/postbooks
 Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks.git/
 
 Package: libxtuplecommon1
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export OPENRPT_HEADERS=/usr/include/openrpt
export OPENRPT_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
export OPENRPT_IMAGE_DIR=/usr/share/openrpt/OpenRPT/images
export USE_SHARED_OPENRPT=1

export CSVIMP_HEADERS=/usr/include/csvimp
export CSVIMP_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

export BUILD_XTCOMMON_SHARED=1

%:
	dh $@ --builddirectory=. --parallel

override_dh_clean:
	for pro in `find . -name '*.pro'` ; do \
		rm -f $$(dirname $$pro)/Makefile*; \
	done
	rm -rf */tmp bin/*
	dh_clean

override_dh_auto_test:

override_dh_auto_configure:
	# FIXME: find will not fail on error!
	find . -name '*.ts' -exec lrelease {} \;
	# convert to use shared libs
	#find . -name '*.pro' -exec sed -i -e "s/lib\(common\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(MetaSQL\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(wrtembed\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(renderer\)\.a/lib\1.so/"  {} \;
	dh_auto_configure
	make clean

override_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/lib*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/share/icons/hicolor/128x128/apps
	cp guiclient/images/icon128x128.png debian/tmp/usr/share/icons/hicolor/128x128/apps/postbooks.png
	mkdir -p debian/tmp/usr/share/applications
	sed -e 's!^Icon=.*$$!Icon=/usr/share/icons/hicolor/128x128/apps/postbooks.png!g' postbooks.desktop > debian/tmp/usr/share/applications/postbooks.desktop
	dh_auto_install

.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_test

## postbooks 4.9.5

=== debian/changelog ===
postbooks (4.9.5-1~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 05 May 2016 11:15:30 +0200

postbooks (4.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 05 May 2016 10:43:10 +0200

## postbooks 4.10.0

=== debian/changelog ===
postbooks (4.10.0-2) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 17 Jan 2017 18:10:24 +0100

postbooks (4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 11 Jan 2017 18:05:31 +0100

## postbooks 4.10.1

=== debian/changelog ===
postbooks (4.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 21 Apr 2017 18:36:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andrew Shadura <andrewsh@debian.org>,
  Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.10), libcsvimp-dev (>= 0.5.1), libqtassistantclient-dev, libz-dev, libqtwebkit-dev, libsqlite3-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libdmtx-dev, libopenrpt-dev (>= 3.3.12), libcsvimp-dev (>= 0.5.4), libz-dev, libqt5webkit5-dev, libsqlite3-dev, qtscript5-dev (>= 5.3.0), libqt5websockets5-dev (>= 5.3.0), libqt5webchannel5-dev (>= 5.3.0), libqt5serialport5-dev (>= 5.3.0)
 Standards-Version: 3.9.6
 Homepage: http://www.xtuple.com/postbooks
 Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks.git
@@ -42,7 +42,7 @@
 
 Package: postbooks
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-psql, qt-assistant-compat
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-psql
 Suggests: postbooks-schema-quickstart, postbooks-schema-empty, postbooks-schema-demo, postbooks-updater
 Description: multi-user accounting / CRM / ERP suite (GUI)
  A full-featured, fully-integrated business management system, the core of

## postbooks 4.11.3

=== debian/changelog ===
postbooks (4.11.3-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:08:59 +0800

postbooks (4.11.3-2) unstable; urgency=medium

  * Remove myself from the Uploaders.
  * Fix FTBFS with Qt 5.11 (Closes: #907762).
  * Suppress Postgres version warnings for Postgres up to 11.1
    (Closes: #892750).
  * Add gbp.conf.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Jan 2019 16:56:48 +0100

postbooks (4.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 24 Apr 2018 12:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
 Uploaders:
- Andrew Shadura <andrewsh@debian.org>,
  Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libdmtx-dev, libopenrpt-dev (>= 3.3.12), libcsvimp-dev (>= 0.5.4), libz-dev, libqt5webkit5-dev, libsqlite3-dev, qtscript5-dev (>= 5.3.0), libqt5websockets5-dev (>= 5.3.0), libqt5webchannel5-dev (>= 5.3.0), libqt5serialport5-dev (>= 5.3.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libdmtx-dev, libopenrpt-dev (>= 3.3.14), libcsvimp-dev (>= 0.6.2), libz-dev, libqt5webkit5-dev, libsqlite3-dev, qtscript5-dev (>= 5.3.0), libqt5websockets5-dev (>= 5.3.0), libqt5webchannel5-dev (>= 5.3.0), libqt5serialport5-dev (>= 5.3.0)
+Standards-Version: 3.9.8
 Homepage: http://www.xtuple.com/postbooks
-Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks.git/
+Vcs-Git: https://salsa.debian.org/xtuple-maintainers-team/postbooks.git
+Vcs-Browser: https://salsa.debian.org/xtuple-maintainers-team/postbooks
 
 Package: libxtuplecommon1
 Section: libs
